Description

If the binding are missing, we should simply not allow to manage libvirt

Associated revisions

Revision ba5b7e74 - 03/21/2011 10:53 AM - Ohad Levy

fixes #582 - Foreman should not fail if libvirt ruby binding are not installed

History

#1 - 01/22/2011 12:38 AM - Ohad Levy

just for general info, the ruby-libvirt package is required (and a package is avail for most platforms -- see more details here Virtual Machine
Provisioning

if the error you get is that virt is missing and you are using source, you should follow the Upgrade_instructions

#2 - 02/07/2011 09:50 AM - Jochen Schalanda
- File 0001-Fixes-bug-582-make-dependency-on-libvirt-optional-th.patch added

Since | currently don't use the virtual machine provisioning features of Foreman and don't want to depend on virt and libvirt, | tried to decouple
Foreman from these dependencies.

The attached patch is working on my development setup but it probably needs some more testing.
#3 - 02/08/2011 03:52 PM - Chad Huneycutt
This patch did not work for me exactly. | had to comment out the config.gem 'virt' and 'libvirt' in config/environment.rb. | also had to comment out the

'require libvirt' in vendor/plugins/virt/lib/virt/connection.rb.

#4 - 03/21/2011 11:54 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset babb7e74e0b0f8b7efcb8804f77c¢810031a6aeba.

#5 - 03/21/2011 02:04 PM - Ohad Levy
- Status changed from Ready For Testing to Closed

Files

0001-Fixes-bug-582-make-dependency-on-libvirt-optional-th.patch ~ 4.45 KB 02/07/2011 Jochen Schalanda

05/13/2024 1/1



https://projects.theforeman.org/projects/foreman/wiki/Virtual_Machine_Provisioning
https://projects.theforeman.org/projects/foreman/wiki/Virtual_Machine_Provisioning
https://projects.theforeman.org/projects/foreman/wiki/Upgrade_instructions#Option-2-Upgrading-from-git
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ba5b7e74e0b0f8b7efcb8804f77c810031a6aeba
http://www.tcpdf.org

